Blob Blame History Raw
# Generated by rust2rpm 24
%bcond_without check

%global crate desed

Name:           rust-desed
Version:        1.2.1
Release:        %autorelease
Summary:        Sed script debugger

License:        GPL-3.0-or-later
URL:            https://crates.io/crates/desed
Source:         %{crates_source}
# Automatically generated patch to strip foreign dependencies
Patch:          desed-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
#  * Downgrade inotify dependency to 0.9
Patch:          desed-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Sed script debugger. Debug and demystify your sed scripts with TUI
debugger.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}

# Apache-2.0 OR MIT
# GPL-3.0-or-later
# ISC
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        GPL-3.0-or-later AND ISC AND MIT AND (Apache-2.0 OR MIT) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

Requires:       sed >= 4.6

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/desed

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%cargo_license_summary
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
%autochangelog